import request from '@/utils/request';


// 查询个人页 图片列表
export function allPersonalImg(query) {
    return request({
      headers:  {
        'isToken': false,
      },
      url: '/template/allImg',
      method: 'get',
      params: query
    })
  }

  
// 查询个人页详细
export function getPersonal(id) {
    return request({
      headers:  {
        'isToken': false,
      },
      url: '/template/getPersonal/' + id,
      method: 'get'
    })
  }
  
// 查询个人页 留言模板列表
export function allPersonalModel(query) {
  return request({
    headers:  {
      'isToken': false,
    },
    url: '/template/allModel',
    method: 'get',
    params: query
  })
}

// 新增个人页留言
export function addMessage(data) {
  return request({
    headers:  {
      'isToken': false,
    },
    url: '/template/addMessage',
    method: 'post',
    data: data
  })
}

// 查询留言列表
export function messageList(query) {
  return request({
    headers:  {
      'isToken': false,
    },
    url: '/template/messageList',
    method: 'get',
    params: query
  })
}